Subject: Re: [RFC] branch: list branches by single remote

From: Michael Schubert <[email-masked]>
Date: Wed, 24 Aug 2011 18:02:52 +0200

On 08/24/2011 05:37 PM, Michael J Gruber wrote:
> Michael Schubert venit, vidit, dixit 24.08.2011 17:14:
>> On 08/16/2011 05:14 PM, Jeff King wrote:
>>> On Tue, Aug 16, 2011 at 03:37:33PM +0200, Michael J Gruber wrote:
>>>
>>>>> This isn't right. You are assuming that a remote called "foo" will have
>>>>> all of its branches in refs/remotes/foo. That's true under the default
>>>>> configuration, but technically speaking, the remote tracking branches of
>>>>> "foo" are defined by the right-hand side of foo's fetch refspecs.
>>>>
>>>> You are 100% right here, but...
>>>>
>>>>> So I think you want something more like this:
>>>>
>>>> ...the op still might want to filter simply by the remote name.
>>>
>>> That is a perfectly reasonable approach. It just should be called
>>> "--glob" or something, and not "remote".  git-tag allows patterns to an
>>> explicit "tag -l", but "-l" is already taken for git-branch.
>>
>> As suggested, I've just called it "--glob" for now.
> 
> Well, again, what's the point in replicating
> 
> http://permalink.gmane.org/gmane.comp.version-control.git/172228
> 
> and how is it different?

While I just haven't seen this,

> As I've mentioned, I've been in the middle of polishing that up. You can
> follow it if you like:
> 
> http://repo.or.cz/w/git/mjg.git/shortlog/refs/heads/branch-list-pattern

I thought I just send it out not knowing you're actually into resurrecting
the "patterns-with-branches series".

Thanks.